# Itty Bitty

With the fastest possible Arduino-compatible 8-bit AVR GPIO and register manipulation...

#### IT'S THE BIGGEST OF HITS WHEN YOU NEED TO BANG BITS.
---

Getting tired of mindlessly staring down your wristwatch in an open-mouthed gape, awaiting a digitalRead's return?  Do you long for a super-simple way to set or flip your bits?  Has repeatedly ALT-TABing to the ATmega datasheets to look up register descriptions worn you down to the last raw nerve?

Then, golly gee, this lib is here to allay your despair!

In fact, it was made for you - whether an Arduino n00b, hopelessly ignorant to the time their programs waste on the simplest IO tasks, or an AVR guru and uber-smart embedded god, who never even gave a thought to seeking an easier way to bang bits.  Most of all, however, this library is for the wretched, cursed signals stuck in the maze of your Arduino's buffers.  For it is they who fly through pin lines at the speed of light only to quietly suffer the most indignant fate at the hands of non-performant source code: WAITING.

So set those bits free with a little help from your friends - a plenitude of easy-to-use functions, macros, and data structures in this simple, elegant library that will give your code real legs.  But, more importantly, it makes coding that much more FUNNER!

---

## License
Copyright  2016 Tom Biuso.
<br />This library is released under the GNU General Public License v3.0.
<br />See LICENSE file for detailed terms and GPL v3.0 license text.
